Last Comment Bug 802777 - [B2G] Lower image.mem.max_decoded_image_kb
: [B2G] Lower image.mem.max_decoded_image_kb
Status: RESOLVED FIXED
[MemShrink]
:
Product: Firefox OS
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Linux
: -- normal (vote)
: ---
Assigned To: Justin Lebar (not reading bugmail)
:
Mentors:
Depends on:
Blocks: slim-fast
  Show dependency treegraph
 
Reported: 2012-10-17 12:51 PDT by Justin Lebar (not reading bugmail)
Modified: 2012-11-10 05:47 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments
Patch, v1 (1.20 KB, patch)
2012-10-17 12:53 PDT, Justin Lebar (not reading bugmail)
joe: review+
Details | Diff | Review

Description Justin Lebar (not reading bugmail) 2012-10-17 12:51:50 PDT
image.mem.max_decoded_image_kb tracks the amount of decoded image data we "willingly" keep around.

Even if you set this value to 0, we often unwillingly keep around a lot more than this.  For example, all images on a page are always decoded (bug 689623).

But if we're using more than image.mem.max_decoded_image_kb memory for decoded image data and we are able to throw any of our decoded data, we'll do so.
Comment 1 Justin Lebar (not reading bugmail) 2012-10-17 12:53:02 PDT
Created attachment 672476 [details] [diff] [review]
Patch, v1
Comment 2 Justin Lebar (not reading bugmail) 2012-10-17 12:53:59 PDT
I can't ask for approval-aurora on patches in the b2g component, so I guess I have to ask for blocking.
Comment 3 Justin Lebar (not reading bugmail) 2012-10-17 13:19:00 PDT
Thanks, Joe.

https://hg.mozilla.org/integration/mozilla-inbound/rev/bd5e49f6d2fa
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-10-17 19:21:48 PDT
https://hg.mozilla.org/mozilla-central/rev/bd5e49f6d2fa
Comment 5 Justin Lebar (not reading bugmail) 2012-10-18 07:24:00 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/84573f69513c
Comment 6 Timothy Nikkel (:tnikkel) 2012-10-31 15:07:31 PDT
(In reply to Justin Lebar [:jlebar] from comment #0)
> Even if you set this value to 0, we often unwillingly keep around a lot more
> than this.  For example, all images on a page are always decoded (bug
> 689623).

Doesn't pref("content.image.allow_locking", false); on b2g mean this isn't true for b2g?
Comment 7 Justin Lebar (not reading bugmail) 2012-10-31 15:08:41 PDT
(In reply to Timothy Nikkel (:tn) from comment #6)
> (In reply to Justin Lebar [:jlebar] from comment #0)
> > Even if you set this value to 0, we often unwillingly keep around a lot more
> > than this.  For example, all images on a page are always decoded (bug
> > 689623).
> 
> Doesn't pref("content.image.allow_locking", false); on b2g mean this isn't
> true for b2g?

Correct.

Note You need to log in before you can comment on or make changes to this bug.